%global pkgname mongoengine
Name: python-mongoengine
Version: 0.7.9
Release: 4%{?dist}
Summary: A Python Document-Object Mapper for working with MongoDB

License: MIT
URL:     http://pypi.python.org/pypi/mongoengine/
Source0: http://pypi.python.org/packages/source/m/mongoengine/%{pkgname}-%{version}.tar.gz

BuildArch: noarch
BuildRequires: python2-devel
BuildRequires: python-setuptools
BuildRequires: python-sphinx

%if 0%{?fedora} >= 18
BuildRequires: python-pymongo
BuildRequires: python-django
BuildRequires: python-pymongo-gridfs
Requires: python-pymongo
Requires: python-pymongo-gridfs
%else
BuildRequires: pymongo >= 2.1.1
BuildRequires: Django
BuildRequires: pymongo-gridfs
Requires: pymongo >= 2.1.1
Requires: pymongo-gridfs
%endif

BuildRequires: mongodb-server
BuildRequires: python-blinker
BuildRequires: python-imaging
BuildRequires: python-coverage
BuildRequires: python-nose
Requires: python-blinker
Requires: python-imaging


%description
MongoEngine is a Document-Object Mapper (think ORM,
but for document databases) for working with MongoDB
from Python. It uses a simple declarative API, similar
to the Django ORM. 

     
%prep
%setup -q -n %{pkgname}-%{version}
rm -rf mongoengine.egg-info


%build
python setup.py build

PYTHONPATH=$(pwd) make -C docs html
rm -f docs/_build/html/.buildinfo


%install
python setup.py install --skip-build --root %{buildroot}


%check
mkdir -p data/db
mkdir -p data/log
%{_exec_prefix}/bin/mongod --dbpath data/db --fork --logpath data/log/mongod.log
sleep 1
python setup.py test
%{_exec_prefix}/bin/mongod --dbpath data/db --shutdown
rm -r data/
rm -f test/*.pyc


%files
%doc README.rst LICENSE docs/_build/html
%{python_sitelib}/%{pkgname}
%{python_sitelib}/%{pkgname}-*.egg-info


%changelog
* Mon Jan 28 2013 Yohan Graterol <yohangraterol92@gmail.com> - 0.7.9-4
- Add Requires: pymongo, python-gridfs for f17
- Add Requires: python-pymongo, python-pymongo-gridfs for f18+
- Add Requires: python-blinker, python-imaging
* Sun Jan 27 2013 Yohan Graterol <yohangraterol92@gamil.com> - 0.7.9-3
- Built and included test
- Add BuildRequires: python-django >= 1.3
* Sun Jan 27 2013 Yohan Graterol <yohangraterol92@gmail.com> - 0.7.9-2
- Built and included sphinx docs
- Add BuildRequires: python-sphinx, python-pymongo, pymongo-gridfs
- Add BuildRequires: python-coverage, python-nose
* Thu Jan 17 2013 Yohan Graterol <yohangraterol92@gmail.com> - 0.7.9-1
- Initial packaging
